package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * IP lock config. It is required when parameter [status] is true.
 */
@ApiModel(description = "IP lock config. It is required when parameter [status] is true.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class LockSettingOpenApiVo   {
  @JsonProperty("status")
  private Boolean status;

  @JsonProperty("times")
  private Integer times;

  @JsonProperty("duration")
  private Integer duration;

  public LockSettingOpenApiVo status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * Status of the SSL VPN server name lock or IP lock.
   * @return status
  */
  @ApiModelProperty(required = true, value = "Status of the SSL VPN server name lock or IP lock.")
  @NotNull


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }

  public LockSettingOpenApiVo times(Integer times) {
    this.times = times;
    return this;
  }

  /**
   * The number of login failures that trigger the lock. It is required when parameter [status] is true, and it should be within the range of 1–10
   * @return times
  */
  @ApiModelProperty(value = "The number of login failures that trigger the lock. It is required when parameter [status] is true, and it should be within the range of 1–10")


  public Integer getTimes() {
    return times;
  }

  public void setTimes(Integer times) {
    this.times = times;
  }

  public LockSettingOpenApiVo duration(Integer duration) {
    this.duration = duration;
    return this;
  }

  /**
   * Lock duration should be within the range of 1–1080(min).
   * @return duration
  */
  @ApiModelProperty(value = "Lock duration should be within the range of 1–1080(min).")


  public Integer getDuration() {
    return duration;
  }

  public void setDuration(Integer duration) {
    this.duration = duration;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    LockSettingOpenApiVo lockSettingOpenApiVo = (LockSettingOpenApiVo) o;
    return Objects.equals(this.status, lockSettingOpenApiVo.status) &&
        Objects.equals(this.times, lockSettingOpenApiVo.times) &&
        Objects.equals(this.duration, lockSettingOpenApiVo.duration);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status, times, duration);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class LockSettingOpenApiVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    times: ").append(toIndentedString(times)).append("\n");
    sb.append("    duration: ").append(toIndentedString(duration)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

